SELECT
visitanc.pid, CONCAT(CASE WHEN person.prename = '004' THEN 'น.ส.'
WHEN person.prename = '005' THEN 'นาง' ELSE 'กระเทย' END,person.fname,' ',person.lname) AS 'ชื่อ-สกุล',
getAgeYearNum(person.birth,visitanc.datecheck) AS 'อายุ',
person.hnomoi AS 'บ้านเลขที่',
person.mumoi AS 'หมู่',
visitancdeliver.pregno AS 'ครรภ์ที่',
visitancpregnancy.lmp AS 'ประจำเดือนมาครั้งสุดท้าย',
visitancpregnancy.edc as 'edc',
MAX(CASE WHEN visitanc.pregage <= '12' then '/' ELSE '' END) as 'ฝากก่อน 12 wks ครั้งที่1',
MAX(CASE WHEN visitanc.pregage >= '16' AND visitanc.pregage <='20' then '/' ELSE '' END) as '16-20 สัปดาห์ ครั้งที่2',
MAX(CASE WHEN visitanc.pregage >= '24' AND visitanc.pregage <='28' then '/' ELSE '' END) as '24-28 สัปดาห์ ครั้งที่3',
MAX(CASE WHEN visitanc.pregage >= '30' AND visitanc.pregage <='34' then '/' ELSE '' END) as '30-34 สัปดาห์ ครั้งที่4',
MAX(CASE WHEN visitanc.pregage >= '36' AND visitanc.pregage <='40' then '/' ELSE '' END) as '36-40 สัปดาห์ ครั้งที่5',
CONCAT(DATE_FORMAT(visitancdeliver.datedeliver,'%d/%m/'),DATE_FORMAT(visitancdeliver.datedeliver,'%Y')+543) AS 'วันคลอด'
FROM
person
INNER JOIN visitanc ON person.pcucodeperson = visitanc.pcucodeperson AND person.pid = visitanc.pid
LEFT JOIN visitancdeliver ON visitanc.pcucodeperson = visitancdeliver.pcucodeperson AND visitanc.pid = visitancdeliver.pid
LEFT JOIN visitancpregnancy ON visitanc.pid=visitancpregnancy.pid
WHERE datecheck BETWEEN '2013-10-01' AND '2015-09-30'AND visitancdeliver.datedeliver BETWEEN '2013-10-01' AND '2015-10-30' AND CONCAT(person.pcucodeperson,person.pid) not in
(SELECT CONCAT(persondeath.pcucodeperson,persondeath.pid)
FROM persondeath)
GROUP BY person.pid
ORDER BY person.mumoi;